Bump to 1.1.5
[gonvert] / setup.py
index f397d6c..90c1b0c 100755 (executable)
--- a/setup.py
+++ b/setup.py
@@ -37,7 +37,9 @@ ICON_CATEGORY="apps"
 ICON_SIZES=[32,48]
 #[[[end]]] (checksum: fefe5943a0176aa799fab0d963c33832)
 
-CHANGES = """Switching from py2deb.py to sdist_maemo
+CHANGES = """* Support for PySide
+* XDG Support
+* Fixed a race condition
 """.strip()
 BUGTRACKER_URL = "https://bugs.maemo.org/enter_bug.cgi?product=Gonvert"
 
@@ -97,6 +99,7 @@ setup(
        ],
        requires=[
                "PySide",
+               "pyxdg",
                "simplejson",
        ],
        cmdclass={
@@ -112,7 +115,7 @@ setup(
                        "copyright": "gpl",
                        "changelog": CHANGES,
                        "buildversion": str(BUILD),
-                       "depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-simplejson",
+                       "depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-xdg, python-simplejson",
                        "architecture": "any",
                },
                "sdist_diablo": {
@@ -125,7 +128,7 @@ setup(
                        "copyright": "gpl",
                        "changelog": CHANGES,
                        "buildversion": str(BUILD),
-                       "depends": "python2.5, python2.5-qt4-core, python2.5-qt4-gui, python-simplejson",
+                       "depends": "python2.5, python2.5-qt4-core, python2.5-qt4-gui, python-xdg, python-simplejson",
                        "architecture": "any",
                },
                "sdist_fremantle": {
@@ -138,8 +141,8 @@ setup(
                        "copyright": "gpl",
                        "changelog": CHANGES,
                        "buildversion": str(BUILD),
-                       "depends": "python2.5, python2.5-qt4-core, python2.5-qt4-gui, python2.5-qt4-maemo5, python-simplejson",
-                       #"depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-pyside.qtmaemo5, python-simplejson",
+                       #"depends": "python2.5, python2.5-qt4-core, python2.5-qt4-gui, python2.5-qt4-maemo5, python-xdg, python-simplejson",
+                       "depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-pyside.qtmaemo5, python-xdg, python-simplejson",
                        "architecture": "any",
                },
                "sdist_harmattan": {
@@ -154,7 +157,7 @@ setup(
                        "copyright": "gpl",
                        "changelog": CHANGES,
                        "buildversion": str(BUILD),
-                       "depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-simplejson",
+                       "depends": "python, python-pyside.qtcore, python-pyside.qtgui, python-xdg, python-simplejson",
                        "architecture": "any",
                },
                "bdist_rpm": {